
Network Tools - Task #2366

Get app to pass appinspect

02/22/2019 05:36 PM - Luke Murphey

Status: New Start date: 03/13/2019

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

[ failure ] Check for Module System web.conf endpoints. The Module system was deprecated in Splunk 6.3 as part of the advanced

XML deprecation. See: http://docs.splunk.com/Documentation/Splunk/latest/Module

[ failure ] Check that apps only expose web endpoints that are defined by the Splunk App within restmap.conf. Each web.conf

[expose:] stanza should have the property pattern= which defines a url pattern to expose. Each url pattern exposed should

correspond to a stanza within restmap.conf with a url pattern defined with the match= property, or for the case of [admin:] stanzas a

combination of match= and members= properties.

web.conf found with a `pattern` exposed that does not correspond to any `match` stanza in restmap.

conf. Apps should only expose endpoints that they define. Pattern: `/admin/network_tools/default/`

. Please remove or edit this stanza: [expose:network_tools_app_config]. File: default/web.conf, Li

ne: 5. File: default/web.conf Line Number: 5

 

web.conf found with a `pattern` exposed that does not correspond to any `match` stanza in restmap.

conf. Apps should only expose endpoints that they define. Pattern: `/data/inputs/ping/`. Please re

move or edit this stanza: [expose:network_tools_ping_input]. File: default/web.conf, Line: 9. File

: default/web.conf Line Number: 9

 

[ failure ] Check that all capture groups are used in transforms.conf. Groups not used for capturing should use the non-capture group

syntax

The following stanza contains `FORMAT` property that does not match its `REGEX` property, missing:

 ['$1']. Stanza: [sinkhole_stash_output_header] REGEX: <splunk_appinspect.configuration_file.Confi

gurationSetting object at 0x7f394158c310> FORMAT: $2. If you don't want to capture any group in yo

ur regexp, please use a non-capturing expression. See http://docs.splunk.com/Documentation/Splunk/

latest/Knowledge/AboutSplunkregularexpressions#Non-capturing_group_matching for details. File: def

ault/transforms.conf, Line: 6. File: default/transforms.conf Line Number: 6

 

The following stanza contains `FORMAT` property that does not match its `REGEX` property, missing:

 ['$1']. Stanza: [kv-extraction-for-pings-nix] REGEX: <splunk_appinspect.configuration_file.Config

urationSetting object at 0x7f3941084610> FORMAT: rtt::$2. If you don't want to capture any group i

n your regexp, please use a non-capturing expression. See http://docs.splunk.com/Documentation/Spl

unk/latest/Knowledge/AboutSplunkregularexpressions#Non-capturing_group_matching for details. File:

 default/transforms.conf, Line: 27. File: default/transforms.conf Line Number: 27

Subtasks:

Task # 2371: Fix warning due to missing non-capturing group New

History

#1 - 02/22/2019 11:23 PM - Luke Murphey

- Subject changed from Get app to pass app inspect to Get app to pass appinspect
http://docs.splunk.com/Documentation/Splunk/latest/Module


#2 - 10/03/2019 08:16 PM - Luke Murphey

- Target version changed from 1.4.1 to 1.4.2

#3 - 10/23/2019 04:48 PM - Luke Murphey

- Target version deleted (1.4.2)

Powered by TCPDF (www.tcpdf.org)

04/19/2024 2/2

http://www.tcpdf.org

